# GRBC_EXT_profiles
compiler profile support in grbc

## About
Author: Interfiber
Release Date: 9/29/24

## Example
```lua
-- Load extension, by default the debug profile is selected
grbc_ext("GRBC_EXT_profiles")

-- Set the profile, make sure this is at the top of the file!
-- See below for default profiles
grbc_set_profile("debug")


```

## Command line options
Passing ```-compiler_profile``` to grbc will allow setting of the compiler profile, for example:
```bash
grbc gen -compiler_profile release
```

## Profiles
For more detailed information see ```src/ext_profiles.cc```

### debug
Standard debug profile, ```-O1```, and debug symbol generation

### release_with_debug_symbols
Release build but with debug symbol generation, uses ```-O3```

## release
Release build with ```-O3```

